/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.svnconf.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.svnconf.BlancoSvnConfConstants;
import blanco.svnconf.resourcebundle.BlancoSvnConfResourceBundle;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoSvnConfWizardPage4 extends WizardPage {
    private static final BlancoSvnConfResourceBundle fBundle = new BlancoSvnConfResourceBundle();

    public BlancoSvnConfWizardPage4(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoSvnConfConstants.PRODUCT_NAME + "プラグインに関連するフォルダ");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoSvnConfConstants.PRODUCT_NAME
                        + "プラグインに関連するフォルダは下記のとおりです。");
        new Label(container, SWT.NONE).setText("  1.メタディレクトリ (フォルダ名は meta"
                + BlancoSvnConfConstants.TARGET_SUBDIRECTORY + " を強く推奨します)");
        new Label(container, SWT.NONE).setText("    "
                + fBundle.getMetafileDisplayname() + "が格納されます。");
        new Label(container, SWT.NONE)
                .setText("  2.テンポラリディレクトリ (フォルダ名は tmp となります)");
        new Label(container, SWT.NONE).setText("  3.自動生成された設定ファイルが格納されるフォルダ");
        new Label(container, SWT.NONE).setText("    ・blanco.svnconf");

        setControl(container);
    }
}